alias: Scene Kitchen Entrance
trigger:
  platform: state
  entity_id: input_select.scene_kitchen_entrance
condition:
  condition: or
  conditions:
    - condition: state
      entity_id: 'input_select.scene_kitchen_entrance'
      state: 'Nightlight'
    - condition: state
      entity_id: 'input_select.scene_kitchen_entrance'
      state: 'Dimmed'
    - condition: state
      entity_id: 'input_select.scene_kitchen_entrance'
      state: 'Bright'
    - condition: state
      entity_id: 'input_select.scene_kitchen_entrance'
      state: 'Off'
action:
  - service: scene.turn_on
    data_template:
      entity_id: >
        {% if is_state( "input_select.scene_kitchen_entrance", "Nightlight" ) %}
          scene.kitchen_entrance_nightlight
        {%-elif is_state( "input_select.scene_kitchen_entrance", "Dimmed" ) %}
          scene.kitchen_entrance_dimmed
        {%-elif is_state( "input_select.scene_kitchen_entrance", "Bright" ) %}
          scene.kitchen_entrance_bright
        {%-elif is_state( "input_select.scene_kitchen_entrance", "Off" ) %}
          scene.kitchen_entrance_off
        {% endif %}
  - service: input_select.select_option
    data:
      entity_id: input_select.scene_kitchen_entrance
      option: "-"
